Change in ...osmo-bsc[master]: manuals: Add script to update vtr/counter documentation from docker

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

daniel gerrit-no-reply at lists.osmocom.org
Fri Jun 7 13:09:44 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-bsc/+/14404


Change subject: manuals: Add script to update vtr/counter documentation from docker
......................................................................

manuals: Add script to update vtr/counter documentation from docker

Change-Id: Iedd1f55d021231d86c19b6f14ff296e3a55148c8
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-bsc refs/changes/04/14404/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 49ddc18..17fecd1 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -9,6 +9,7 @@
     message-sequences \
     mgw \
     om2000 \
+    regen_docs.sh \
     vty
 
 if BUILD_MANUALS
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..2f9ef74
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_BSC_BRANCH=$COMMIT ./regen_doc.sh osmo-bsc 4242 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/bsc_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-bsc/+/14404
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-bsc
Gerrit-Branch: master
Gerrit-Change-Id: Iedd1f55d021231d86c19b6f14ff296e3a55148c8
Gerrit-Change-Number: 14404
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190607/7e5c98e8/attachment.htm>


More information about the gerrit-log mailing list